Resource: NetworkLocationBindingsGetResponse
Response message for NetworkLocationBindings.Get.
| JSON representation |
|---|
{ "resource": { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "region": string, "selfLinkWithId": string, "state": enum, "status": { "bindingType": enum, "zonalBindings": { string: { "prodClusters": [ string ] }, ... } }, "network": string }, "etag": string } |
| Fields | |
|---|---|
resource |
The NetworkLocationBinding resource returned. Available from version 2026-10-01-preview. |
resource.kind |
Output only. Type of the resource. Always |
resource.id |
Output only. The unique identifier for the resource type. The server generates this identifier. |
resource.creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
resource.name |
Output only. Name of the resource. The name is generated by the server when the associated network is created. |
resource.description |
Output only. An optional textual description of the resource. |
resource.selfLink |
Output only. Server-defined URL for the resource. |
resource.region |
Output only. URL of the region where the network location binding resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
resource.selfLinkWithId |
Output only. Server-defined URL for this resource with the resource id. |
resource.state |
Output only. State of the binding. |
resource.status |
Output only. Status and derived information about the network location binding. |
resource.status.bindingType |
Output only. Indicates whether a single cluster, specific clusters, or all clusters are allowed for instance creation. |
resource.status.zonalBindings[] |
Output only. The mapping of zones to their binding information, keyed by the zone, e.g. |
resource.status.zonalBindings[].prodClusters[] |
Output only. Prod cluster names in the zone that this network could schedule instances in. |
resource.network |
Output only. The network this network location binding belongs to. |
etag |
Server-defined ETag for optimistic concurrency control. end_interface: MixerGetResponseWithEtagBuilder Available from version 2026-10-01-preview. |
Methods |
|
|---|---|
|
Returns the specified NetworkLocationBinding resource in the given scope. |
|
Lists the NetworkLocationBindings for a project in the given scope. |